Debian Bug report logs - #632092
Orphaned packages list is outdated (with patch)

version graph

Package: qa.debian.org; Maintainer for qa.debian.org is debian-qa@lists.debian.org;

Reported by: Arno Töll <debian@toell.net>

Date: Wed, 29 Jun 2011 15:48:05 UTC

Severity: important

Tags: patch

Fixed in version 2545

Done: Paul Wise <pabs@alioth.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#632092; Package qa.debian.org. (Wed, 29 Jun 2011 15:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
New Bug report received and forwarded. Copy sent to debian-qa@lists.debian.org. (Wed, 29 Jun 2011 15:48:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Orphaned packages list is outdated (with patch)
Date: Wed, 29 Jun 2011 17:45:18 +0200
[Message part 1 (text/plain, inline)]
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Package: qa.debian.org
Severity: important


Hello,

I noticed the list of orphaned packages with wrong maintainers is
outdated [1]. jwilk was kindly enough to tell me, this is because the
LDAP server used to gather bug data is not accessible (anymore?). Output
of the script right now is:

$ /srv/qa.debian.org/data/wnpp/gen-orphaned
Cannot connect to LDAP server

For the records: the script tries to connect to bts2ldap.debian.net [2]
which seems not to respond anymore. Therefore he suggested to switch to
SOAP (or use UDD) instead. This is what I did and I hence reimplemented
te gen-orphan script [3] to access the public SOAP interface.

It is still loosely based on Michael's original script but it is
essentially a complete rewrite, therefore the diff is not particularly
useful. For the sake of completeness I attached it nonetheless. However
I attached the full source as well which may be better used instead.

Note I wasn't able to test the script on the destination site, but on my
local system only. Let me know if it does not work. I used syntax and
format of [4] as maintainer file, but I had no chance to test whether
the resulting output file parses as WML input.


Finally please note, the WNPP "library" the script used before is in use
for several other scripts as well, e.g. wnpp-lint. Those may be still
broken.


[1] http://qa.debian.org/orphaned.html
[2] http://anonscm.debian.org/viewvc/qa/trunk/data/wnpp/wnpp.py?view=markup
[3]
http://anonscm.debian.org/viewvc/qa/trunk/data/wnpp/gen-orphaned?view=markup

[4]  ftp://ftp.debian.org/debian/indices/Maintainers

- -- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJOC0iOAAoJEMcrUe6dgPNtpPUP/ibhaYZs5s4x4jJwMpuI9e9S
AzibOFkVZ8AZybjBs6CYtFsJSioRFlGuv2Orr/Ept89N6zVa/v3ADvPXWaxaDau1
HLygjlVTA+nBLijQJ3To4hSgXlbu9Fb1tNR37/QmJ9EtbsNoeB9CQ9P7Zk0rmaze
BEHbB+l365etevXmq3FH7O+I2GFKKRiSnF7edrERBwJMDJy0XbAaFGbm+6MNEkXO
Ce/1KLAVbN1hc3wtPawZpZ1cb1Jq1lodvJoFsLIdkiqq2zqGxbx8ykg72C6dTzGG
lvohJ0BzGj74WuC1sxGa9Kg5Syumy1y/LJAWNvA7vVqsef9pUFb2AELrOR8ub0cg
RKmQ5yMbW7ki1dS9Kddo6N5ZWEiu0T9+5gqg/hpGA2+2P7F1H8L006k9jJdT7T0S
5KQmkOYgP2cyK3hAYcwdQLool0J+P5D7GWe9RB+2hEZhTCEPltTd+mJNu2gobm4q
zV8/lidob68LkrHTuUPhPQgt4BtmlNydsrVBGwPKCIiXsuCpiBIaBAnUggzsCWkM
H7muryfup3zlRE9/1hPKOOCbsh5MqP2ohde1Ed3BSgRRf71wbE1hB+EZz0P9fwrb
pM42kG8t5DP+xb3hW9qmuu4CP8ChyN+uc1jOjciZ6AycDE7V2STdOM4+CBiBRS63
UoHFaVNoCWAlH/cGlTRK
=GD1E
-----END PGP SIGNATURE-----
[gen-orphaned.patch (text/x-diff, attachment)]
[gen-orphaned.py (text/x-python, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#632092; Package qa.debian.org. (Wed, 29 Jun 2011 16:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Wed, 29 Jun 2011 16:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 632092@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: 632092@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Orphaned packages list is outdated (with patch)
Date: Wed, 29 Jun 2011 18:18:52 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

tags 632092 patch
thanks

Another remark: My implementation sorts bugs ascending, i.e. newest
first, oldest last. If you prefer the old behavior please change line
145 in the resulting script to:

for orphaned_package in sorted( orphaned, key = lambda x: x._age,
reverse=True ):   # sort by age:


- -- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJOC1BrAAoJEMcrUe6dgPNt6rQP/0rbC0rhnOGNcjqN8I2Y50SU
fp9n8Qp8bVUurLqEOOowOE4tbTyjljgtEeCe3HjPLYR+ev7lxc88JU6OVNOYEosi
SOqUpA3QA+c1O6UbJegDIu9QLnJf/EAM5xaUTzAVrVw3MHbnp4QgVohBJGIkvx9h
UIORHYokewwusplC+y048NX8fk1/VR/VOSqkwQDFJf7kwtIAWFlrCJ3KdgoIRAnm
hwDDLsw7cOzt6+O9fPIubjkw7L6LMt7B7q6sTetom6cG2iX0uycfrfn9NcuavEY+
ca3MmUNHqHyKH3oGP4O8NpU4xRxIOret88aUl1qF3TAh27sn2kzgpogYxWVN0Ckk
QkKZ5nGQkyZ5zLU4vFVzC6zSBdh0naYEn8t6C8W/tfRmGQIXPKChG3Js7gJ9f/CV
lCw33CiKGmYDk32SdwzMqMWTPVbDiIum61moqit/rkWkTCHMKZypFjGr+43ZIpch
OZFoAKtEe0aRXcc1+6uHiXZ3MfUT+YS6C57TDvIVOLPm/vb+bN02yfdHX9MmoE//
6HM5wQJQ1CRZU3AAaWAL3efBUbBC1XPeqNmnautcfobEgeRqF/MgU1rthI5xuLXj
SCUA8GKy3xZRB8JNp50UJ7FdHUADhCZTckBxRg7y4Pg4sfsk8h4Rt2u+usZncR7x
QbhwxLHCedX8xol4NxvS
=C7t5
-----END PGP SIGNATURE-----




Added tag(s) patch. Request was from Arno Töll <debian@toell.net> to control@bugs.debian.org. (Wed, 29 Jun 2011 16:21:07 GMT) Full text and rfc822 format available.

Reply sent to Paul Wise <pabs@alioth.debian.org>:
You have taken responsibility. (Mon, 11 Jul 2011 10:42:08 GMT) Full text and rfc822 format available.

Notification sent to Arno Töll <debian@toell.net>:
Bug acknowledged by developer. (Mon, 11 Jul 2011 10:42:10 GMT) Full text and rfc822 format available.

Message #17 received at 632092-done@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@alioth.debian.org>
To: 632092-done@bugs.debian.org
Subject: qa.debian.org bug fixed in revision 2545
Date: Mon, 11 Jul 2011 10:38:56 +0000
Version: 2545

This bug was closed by Paul Wise (pabs) in SVN revision 2545.
Note that it might take some time until the qa.debian.org code has
been updated and cronjobs have picked up changed data.

Commit message:

Replace BTS-to-LDAP-based gen-orphaned script with a SOAP based version
written by Arno T?\195?\182ll (Closes: #632092)

I made two modifications:

Order by reverse age instead.
Use " instead of escaping ' characters.






Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 09 Aug 2011 07:46:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:16:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.